/**
 * Copyright &copy; 2012-2016 <a href="https://github.com/thinkgem/jeesite">JeeSite</a> All rights reserved.
 */
package com.wechat.dao;

import org.springframework.stereotype.Repository;

import com.wechat.global.base.dao.impl.BaseDao;
import com.wechat.model.dbEntity.MdeInvoiceTitle;

/**
 * 单表生成DAO接口
 * 
 * @author tangwc
 * @version 2018-06-08
 */
@Repository
public class MdeInvoiceTitleDao extends BaseDao {

	
	public int insert(MdeInvoiceTitle mdeInvoiceTitle) {
		return super.insert("MdeInvoiceTitleMapper.insert", mdeInvoiceTitle);
	}

	public int deleteAllByUserCode(String userCode) {
		MdeInvoiceTitle t = new MdeInvoiceTitle();
		t.setUserCode(userCode);
		return super.delete("MdeInvoiceTitleMapper.deleteAllByUserCode", t);
	}

	public MdeInvoiceTitle getInvoiceByUserCode(String userCode) {
		return super.selectOne("MdeInvoiceTitleMapper.getInvoiceByUserCode", userCode);
	}
}